IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
lame in the Apple AppStore, [TOS #6: moved from General Audio]
GordyGordy
post Mar 23 2013, 17:19
Post #1





Group: Members
Posts: 3
Joined: 23-March 13
Member No.: 107353



(This may be the wrong forum but I'll try anyway)

Does anybody know how to get a copy of lame or compile lame that will work in the Apple AppStore.

The Apple AppStore only allows:

i386 (32-bit)
x86_64 (64-bit)

All the compiled versions for Mac OS X I can find include PPC.

Hope somebody out there can help or at least point me to the right forum to ask this question.
Go to the top of the page
+Quote Post
hlloyge
post Mar 23 2013, 17:34
Post #2





Group: Members
Posts: 698
Joined: 10-January 06
From: Zagreb
Member No.: 27018



I am not sure what are you trying to do.
Go to the top of the page
+Quote Post
DonP
post Mar 23 2013, 18:50
Post #3





Group: Members (Donating)
Posts: 1471
Joined: 11-February 03
From: Vermont
Member No.: 4955



QUOTE (GordyGordy @ Mar 23 2013, 11:19) *
The Apple AppStore only allows:

i386 (32-bit)
x86_64 (64-bit)

All the compiled versions for Mac OS X I can find include PPC.

Hope somebody out there can help or at least point me to the right forum to ask this question.


Since it is the Apple store, is it a stretch to think maybe x86_64 is for an intel based Mac?
Go to the top of the page
+Quote Post
db1989
post Mar 23 2013, 19:25
Post #4





Group: Super Moderator
Posts: 5275
Joined: 23-June 06
Member No.: 32180



I think that’s obvious and not the question. From the tiny amount of information given, my guess is that the OP wants a non–Universal Binary compile of LAME since, as seems to be the implication, the PPC component of that wouldn’t be allowed on the App Store. But I’m neither psychic nor at all aware of how the App Store does things, so this is pure speculation.
Go to the top of the page
+Quote Post
lamedude
post Mar 24 2013, 13:54
Post #5





Group: Members
Posts: 14
Joined: 2-January 12
Member No.: 96171



Load LAME into Xcode
Compile
???
Profit!
Not a Mac user so I don't know if its that simple.
Go to the top of the page
+Quote Post
GordyGordy
post Mar 24 2013, 17:54
Post #6





Group: Members
Posts: 3
Joined: 23-March 13
Member No.: 107353



QUOTE (db1989 @ Mar 23 2013, 18:25) *
I think that’s obvious and not the question. From the tiny amount of information given, my guess is that the OP wants a non–Universal Binary compile of LAME since, as seems to be the implication, the PPC component of that wouldn’t be allowed on the App Store. But I’m neither psychic nor at all aware of how the App Store does things, so this is pure speculation.



Yes that's right. I've been trying to compile it in xcode, but I don't really know how to use xcode so I get this error:

The scheme 'LAME' contains no buildables that can be built for the SDKs supported by the run destination My Mac 64–bit. Make sure your targets all specify SDKs that are supported by this version of Xcode.... OK I fixed that error but now I get another saying config.h not found. This is very difficult when you don't really know what you're doing on a mac.

This post has been edited by GordyGordy: Mar 24 2013, 18:16
Go to the top of the page
+Quote Post
GordyGordy
post Mar 24 2013, 19:43
Post #7





Group: Members
Posts: 3
Joined: 23-March 13
Member No.: 107353



OK, I'm getting closer to including lame in an appstore app. To compile lame you need to use command lines on the terminal, not xcode. I now get the error "must include the "com.apple.security.app-sandbox" entitlement" I'm guessing I'm going outside the scope of this forum now.
Go to the top of the page
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 19th September 2014 - 19:07